var list = [
	[{ x :0, y : 5 }, { x : 1, y : 20 }, { x : 2, y : 30 }, { x : 3, y : 50 }, { x : 4, y : 80 }],
	[{ x :0, y : 1 }, { x : 1, y : 8 }, { x : 2, y : 10 }, { x : 3, y : 35 }, { x : 4, y : 20 }],
	[{ x :0, y : 1 }, { x : 1, y : 4 }, { x : 2, y : 5 }, { x : 3, y : 10 }, { x : 4, y : 12 }]
];
var color = ["red", "green", "blue"];	// 積み上げ棒グラフの色
var svgWidth = 320;	// SVG領域の横幅
var svgHeight = 240;	// SVG領域の縦幅
var svg = d3.select("#myGraph").append("svg")
	.attr("width", svgWidth).attr("height", svgHeight)
var stack = d3.layout.stack()	// 積み上げ棒グラフ
var dataSet = stack(list);	// データをセット
svg.selectAll("g")	// グループ化するので、それらを対象にする
	.data(dataSet)
	.enter()
	.append("g")	// グループ追加
	.attr("fill", function(d, i){	// ここでグラフの色を設定する
		return color[i];
	})
	.selectAll("rect")	// 棒グラフ1つを対象にする
	.data(function(d){ return d; })	// 1つのデータを読み込む
	.enter()
	.append("rect")	// 棒グラフ1つ1つを生成する
	.attr("x", function(d, i){	// X座標を計算
		return i*50;
	})
	.attr("y", function(d){	// 下から積み上げるための座標を計算。上からならd.y0だけでOK
		return svgHeight - d.y0 - d.y;
	})
	.attr("width", 32)	// 棒グラフの横幅
	.attr("height", function(d){	// 棒グラフの高さ
		return d.y;
	})
